# sc::TwoBodyIntCCA Class Reference

This implements two body integrals through the CCA interface. More...

`#include <tbintcca.h>`

Inheritance diagram for sc::TwoBodyIntCCA:

List of all members.

## Public Member Functions

| TwoBodyIntCCA (Integral *, const Ref< GaussianBasisSet > &b1, const Ref< GaussianBasisSet > &b2, const Ref< GaussianBasisSet > &b3, const Ref< GaussianBasisSet > &b4, size_t storage, IntegralEvaluatorFactory, bool, string)
int | log2_shell_bound (int, int, int, int)
| Return log base 2 of the maximum magnitude of any integral in a shell block obtained from compute_shell.
void | compute_shell (int, int, int, int)
| Given four shell indices, integrals will be computed and placed in the buffer.
size_t | storage_used ()
void | set_integral_storage (size_t storage)
| This storage is used to cache computed integrals.
int | redundant () const
| If redundant is true, then keep redundant integrals in the buffer.
void | set_redundant (int i)
| See redundant().

## Protected Attributes

Ref< Int2eCCA > | int2ecca_

## Detailed Description

This implements two body integrals through the CCA interface.

## Member Function Documentation

int sc::TwoBodyIntCCA::log2_shell_bound | ( | int | ,
|  | int | ,
|  | int | ,
|  | int |  |
| ) |  |  | `[virtual]`

Return log base 2 of the maximum magnitude of any integral in a shell block obtained from compute_shell.

An index of -1 for any argument indicates any shell.

Implements sc::TwoBodyInt.

void sc::TwoBodyIntCCA::compute_shell | ( | int | ,
|  | int | ,
|  | int | ,
|  | int |  |
| ) |  |  | `[virtual]`

Given four shell indices, integrals will be computed and placed in the buffer.

The first two indices correspond to electron 1 and the second two indices correspond to electron 2.

Implements sc::TwoBodyInt.

int sc::TwoBodyIntCCA::redundant | ( |  | ) | const`[inline, virtual]`

If redundant is true, then keep redundant integrals in the buffer.

The default is true.

Reimplemented from sc::TwoBodyInt.

The documentation for this class was generated from the following file:

- tbintcca.h